<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vetti.hotake.mapper.HotakeMeetingCalendarDetailMapper">
    
    <resultMap type="HotakeMeetingCalendarDetail" id="HotakeMeetingCalendarDetailResult">
        <result property="id"    column="id"    />
        <result property="meetingId"    column="meeting_id"    />
        <result property="candidateId"    column="candidate_id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectHotakeMeetingCalendarDetailVo">
        select id, meeting_id, candidate_id, del_flag, create_by, create_time, update_by, update_time, remark from hotake_meeting_calendar_detail
    </sql>

    <select id="selectHotakeMeetingCalendarDetailList" parameterType="HotakeMeetingCalendarDetail" resultMap="HotakeMeetingCalendarDetailResult">
        <include refid="selectHotakeMeetingCalendarDetailVo"/>
        <where>  
            <if test="meetingId != null "> and meeting_id = #{meetingId}</if>
            <if test="candidateId != null "> and candidate_id = #{candidateId}</if>
        </where>
    </select>
    
    <select id="selectHotakeMeetingCalendarDetailById" parameterType="Long" resultMap="HotakeMeetingCalendarDetailResult">
        <include refid="selectHotakeMeetingCalendarDetailVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertHotakeMeetingCalendarDetail" parameterType="HotakeMeetingCalendarDetail" useGeneratedKeys="true" keyProperty="id">
        insert into hotake_meeting_calendar_detail
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="meetingId != null">meeting_id,</if>
            <if test="candidateId != null">candidate_id,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="meetingId != null">#{meetingId},</if>
            <if test="candidateId != null">#{candidateId},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateHotakeMeetingCalendarDetail" parameterType="HotakeMeetingCalendarDetail">
        update hotake_meeting_calendar_detail
        <trim prefix="SET" suffixOverrides=",">
            <if test="meetingId != null">meeting_id = #{meetingId},</if>
            <if test="candidateId != null">candidate_id = #{candidateId},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteHotakeMeetingCalendarDetailById" parameterType="Long">
        delete from hotake_meeting_calendar_detail where id = #{id}
    </delete>

    <delete id="deleteHotakeMeetingCalendarDetailByInfoId" parameterType="Long">
        delete from hotake_meeting_calendar_detail where meeting_id = #{infoId}
    </delete>

    <delete id="deleteHotakeMeetingCalendarDetailByIds" parameterType="String">
        delete from hotake_meeting_calendar_detail where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <insert id="batchInsertHotakeMeetingCalendarDetail">
        insert into hotake_meeting_calendar_detail( id, meeting_id, candidate_id, del_flag, create_by, create_time, update_by, update_time, remark) values
        <foreach item="item" index="index" collection="list" separator=",">
            ( #{item.id}, #{item.meetingId}, #{item.candidateId}, #{item.delFlag}, #{item.createBy}, #{item.createTime}, #{item.updateBy}, #{item.updateTime}, #{item.remark})
        </foreach>
    </insert>
</mapper>